Loading...
Searching...
No Matches
gx_gui::UiMasterReglerWithCaption< T > Class Template Reference

`#include <gx_main_interface.h>`

Inheritance diagram for gx_gui::UiMasterReglerWithCaption< T >:

## Public Member Functions

| UiMasterReglerWithCaption ()
T * | get_regler ()
Public Member Functions inherited from gx_gui::CpMasterCaption
| CpMasterCaption ()
| ~CpMasterCaption ()
void | init (Gxw::Regler &regler)
void | set_label (const char *label)

## Protected Attributes

T | regler
Protected Attributes inherited from gx_gui::CpMasterCaption
CpBase | base
Gtk::Label | m_label

## Detailed Description

template<class T>
class gx_gui::UiMasterReglerWithCaption< T >

Definition at line 134 of file gx_main_interface.h.

## Constructor & Destructor Documentation

## UiMasterReglerWithCaption()

template<class T>

gx_gui::UiMasterReglerWithCaption< T >::UiMasterReglerWithCaption | ( |  | ) |

inline

Definition at line 138 of file gx_main_interface.h.

## Member Function Documentation

## get_regler()

template<class T>

T * gx_gui::UiMasterReglerWithCaption< T >::get_regler | ( |  | ) |

inline

Definition at line 140 of file gx_main_interface.h.

## Member Data Documentation

## regler

template<class T>

T gx_gui::UiMasterReglerWithCaption< T >::regler

protected

Definition at line 136 of file gx_main_interface.h.

Referenced by get_regler(), and UiMasterReglerWithCaption().

The documentation for this class was generated from the following file:

- src/headers/gx_main_interface.h